Comment 189 for bug 1508442

Reviewed: https://review.openstack.org/442379
Committed: https://git.openstack.org/cgit/openstack/rally/commit/?id=59ac7139d85acebb357c813b7f4ad5f9871d23b4
Submitter: Jenkins
Branch: master

commit 59ac7139d85acebb357c813b7f4ad5f9871d23b4
Author: Kiseok Kim <email address hidden>
Date: Tue Mar 7 10:45:27 2017 +0000

    Add hacking rules for deprecated LOG.warn

    Because LOG.warn is deprecated,
    we should replace LOG.warn with LOG.warning.

    This patch add a hacking rule:
        [N313] - Validate that LOG.warning is used instead of deprecated LOG.warn.

    and replace deprecated LOG.warn with LOG.warning in rally/api.py

    Change-Id: I7d016b30368f13bde822ca27ef503ce09e3e875b
    Closes-Bug: #1508442